Bug 181877 - audio/pd: Update to version 0.45.2
Summary: audio/pd: Update to version 0.45.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 19:10 UTC by tkato432
Modified: 2013-10-28 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.34 KB, patch)
2013-09-06 19:10 UTC, tkato432
no flags Details | Diff
audio_pd.diff (28.19 KB, patch)
2013-10-09 18:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-09-06 19:10:01 UTC
- Update to version 0.45.2
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:46 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 tkato432 2013-10-09 18:55:09 UTC
Version 0.45.3 has been released.
Comment 4 Pawel Pekala freebsd_committer 2013-10-28 15:21:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-10-28 16:06:26 UTC
Author: pawel
Date: Mon Oct 28 16:06:16 2013
New Revision: 331867
URL: http://svnweb.freebsd.org/changeset/ports/331867

Log:
  - Update to version 0.45.3
  - Support STAGEDIR
  
  While here:
  - Use options helpers
  - Install dektop entry file
  
  PR:		ports/181877
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo
  head/audio/pd/files/patch-extra_pd_pd.c   (contents, props changed)
  head/audio/pd/pkg-descr   (contents, props changed)
  head/audio/pd/pkg-plist

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Mon Oct 28 16:01:32 2013	(r331866)
+++ head/audio/pd/Makefile	Mon Oct 28 16:06:16 2013	(r331867)
@@ -2,11 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.44-3
+DISTVERSION=	0.45-3
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
-#MASTER_SITES=	SF/pure-data/pure-data/${PORTVERSION}
-MASTER_SITES=	http://www-crca.ucsd.edu/~msp/Software/
+MASTER_SITES=	http://msp.ucsd.edu/Software/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI-capable real-time audio processor/synthesizer
@@ -22,54 +21,40 @@ OPTIONS_DEFAULT=FFTW
 WRKSRC=		${WRKDIR}/${DISTNAME:S,${DISTVERSIONSUFFIX},,}
 
 USES=		gettext gmake pkgconfig tk:wrapper
-NO_STAGE=	yes
 USE_AUTOTOOLS=	aclocal libtoolize autoconf automake
 ACLOCAL_ARGS=	-I m4/generated -I m4
 LIBTOOLIZE_ARGS=--install --force
 AUTOMAKE_ARGS=	--add-missing --copy --force-missing
+CONFIGURE_ENV=	ac_cv_lib_pthread_pthread_create=no
 
-MAN1=		pd.1 pdreceive.1 pdsend.1
-PORTDOCS=	*
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib -pthread
 
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+DESKTOP_ENTRIES=	"Pd" "${COMMENT}" \
+			"${LOCALBASE}/lib/pd/tcl/pd.ico" "pd" "" false
 
-.include <bsd.port.options.mk>
+ALSA_CONFIGURE_ENABLE=	alsa
+ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
 
-.if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=	libasound.so:${PORTSDIR}/audio/alsa-lib
-CONFIGURE_ARGS+=	--enable-alsa
-.else
-CONFIGURE_ARGS+=	--disable-alsa
-.endif
-
-.if ${PORT_OPTIONS:MFFTW}
-BUILD_DEPENDS+=	fftw3>0:${PORTSDIR}/math/fftw3
-LIB_DEPENDS+=	libfftw3f.so:${PORTSDIR}/math/fftw3-float
-CONFIGURE_ARGS+=	--enable-fftw
-.else
-CONFIGURE_ARGS+=	--disable-fftw
-.endif
-
-.if ${PORT_OPTIONS:MJACK}
-LIB_DEPENDS+=	libjack.so:${PORTSDIR}/audio/jack
-CONFIGURE_ARGS+=	--enable-jack
-.else
-CONFIGURE_ARGS+=	--disable-jack
-.endif
+FFTW_CONFIGURE_ENABLE=	fftw
+FFTW_BUILD_DEPENDS=	fftw3>0:${PORTSDIR}/math/fftw3
+FFTW_LIB_DEPENDS=	libfftw3f.so:${PORTSDIR}/math/fftw3-float
+
+JACK_CONFIGURE_ENABLE=	jack
+JACK_LIB_DEPENDS=	libjack.so:${PORTSDIR}/audio/jack
 
 post-patch:
 	@${FIND} ${PATCH_WRKSRC} -name "*.[ch]" | ${XARGS} ${REINPLACE_CMD} -e \
 		's|__FreeBSD_kernel__|__FreeBSD__|g ; \
+		 s|__x86_64__|__amd64__|g ; \
 		 s|<alloca\.h>|<stdlib.h>|g'
 	@${REINPLACE_CMD} -e \
-		's|kFreeBSD)|kFreeBSD\|*freebsd*)| ; \
+		's|\*kfreebsd\*gnu\*)|*freebsd*)| ; \
 		 s|portaudio=yes|portaudio=no| ; \
-		 s|-O6|| ; \
+		 s|-O3|| ; \
 		 s|fftw,|fftw3f,| ; \
 		 s|fftw_one,|fftwf_execute,| ; \
-		 s|fftw"|fftw3f"| ; \
-		 s|-lpthread ||' ${WRKSRC}/configure.ac
+		 s|fftw"|fftw3f"|' ${WRKSRC}/configure.ac
 	@${REINPLACE_CMD} -e \
 		'/^pkgconfigdir/s|=.*|= $$(prefix)/libdata/pkgconfig| ; \
 		 /^libpddir/s|=.*|= $$(pkglibdir)| ; \
@@ -87,6 +72,8 @@ post-patch:
 		's|-O2 |$$(CFLAGS) | ; \
 		 s|-g ||g ; \
 		 s|-lc ||g' ${WRKSRC}/extra/expr~/makefile
+	@${REINPLACE_CMD} -e \
+		'/libpthread/s|_ERROR|_WARN|' ${WRKSRC}/portaudio/configure.in
 
 pre-configure:
 	@(cd ${WRKSRC}/portaudio \
@@ -96,21 +83,19 @@ pre-configure:
 
 do-install:
 .for i in src man tcl po extra
-	@(cd ${WRKSRC}/${i} && ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} \
-		${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
+	@(cd ${WRKSRC}/${i} && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} \
+		${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
 .endfor
-	(cd ${WRKSRC} && ${INSTALL_DATA} pd.pc ${PREFIX}/libdata/pkgconfig)
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} pd.pc \
+		${STAGEDIR}${PREFIX}/libdata/pkgconfig)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	@(${TAR} -C ${WRKSRC}/doc --exclude "*.bak" --exclude "*.orig" \
-		-cf - . | ${TAR} -C ${DOCSDIR} --unlink -xf -)
-	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
-	@${FIND} ${DOCSDIR} -type d -exec ${CHMOD} 755 {} \;
-	@${FIND} ${DOCSDIR} -type f -exec ${CHMOD} ${SHAREMODE} {} \;
+		-cf - . | ${TAR} -C ${STAGEDIR}${DOCSDIR} --unlink -xf -)
+	@${FIND} ${STAGEDIR}${DOCSDIR} -type d | ${XARGS} ${CHMOD} 755
+	@${FIND} ${STAGEDIR}${DOCSDIR} -type f | ${XARGS} ${CHMOD} ${SHAREMODE}
 .for i in LICENSE.txt README.txt
-	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-	@${LN} -sf ${DOCSDIR} ${PREFIX}/lib/pd/doc
-.endif
+	@${LN} -sf ${DOCSDIR} ${STAGEDIR}${PREFIX}/lib/pd/doc
 
 .include <bsd.port.mk>

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Mon Oct 28 16:01:32 2013	(r331866)
+++ head/audio/pd/distinfo	Mon Oct 28 16:06:16 2013	(r331867)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.44-3.src.tar.gz) = 242745f16bf27838150120022a8f5b63ea5c69441c305dcf637242686f615317
-SIZE (pd-0.44-3.src.tar.gz) = 2200542
+SHA256 (pd-0.45-3.src.tar.gz) = 49bab85f0968eef72dfcd4352df0318666e11c33a38e4bc9ec052004fbc4aada
+SIZE (pd-0.45-3.src.tar.gz) = 2252601

Modified: head/audio/pd/files/patch-extra_pd_pd.c
==============================================================================
--- head/audio/pd/files/patch-extra_pd_pd.c	Mon Oct 28 16:01:32 2013	(r331866)
+++ head/audio/pd/files/patch-extra_pd_pd.c	Mon Oct 28 16:06:16 2013	(r331867)
@@ -1,10 +1,10 @@
 --- extra/pd~/pd~.c.orig	2010-07-29 05:55:17.000000000 +0900
 +++ extra/pd~/pd~.c	2011-04-06 19:18:20.000000000 +0900
-@@ -11,6 +11,7 @@
+@@ -19,6 +19,7 @@
  #include <stdlib.h>
  #include <errno.h>
  #include <ctype.h>
 +#include <signal.h>
- #include <sys/types.h>
- #include <sys/stat.h>
  #include <sys/wait.h>
+ #include <fcntl.h>
+ #endif

Modified: head/audio/pd/pkg-descr
==============================================================================
--- head/audio/pd/pkg-descr	Mon Oct 28 16:01:32 2013	(r331866)
+++ head/audio/pd/pkg-descr	Mon Oct 28 16:06:16 2013	(r331867)
@@ -7,4 +7,4 @@ for defining and accessing data structur
 
 Unofficial web site: http://puredata.org/
 
-WWW: http://www-crca.ucsd.edu/~msp/software.html
+WWW: http://msp.ucsd.edu/software.html

Modified: head/audio/pd/pkg-plist
==============================================================================
--- head/audio/pd/pkg-plist	Mon Oct 28 16:01:32 2013	(r331866)
+++ head/audio/pd/pkg-plist	Mon Oct 28 16:06:16 2013	(r331867)
@@ -121,6 +121,437 @@ lib/pd/tcl/scrollbox.tcl
 lib/pd/tcl/scrollboxwindow.tcl
 lib/pd/tcl/wheredoesthisgo.tcl
 libdata/pkgconfig/pd.pc
+man/man1/pd.1.gz
+man/man1/pdreceive.1.gz
+man/man1/pdsend.1.gz
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/1.introduction.txt
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.1.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.2.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.3.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.4.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.5.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig11.1.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig11.2.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig11.3.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig11.4.png
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.1.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.10.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.2.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.3.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.4.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.5.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.6.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.7.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.8.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig3.9.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.1.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.2.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.3.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.4.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.5.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig7.6.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.1.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.2.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.3.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.4.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.5.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig8.6.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig9.1.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig9.2.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/fig9.3.jpg
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/index.htm
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/pdmanual.css
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/x1.htm
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/x2.htm
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/x3.htm
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/x4.htm
+%%PORTDOCS%%%%DOCSDIR%%/1.manual/x5.htm
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/00.INTRO.txt
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/01.PART1.hello.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/02.editing.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/03.connections.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/04.messages.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/05.counter.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/06.more.counters.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/07.time.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/08.depthfirst.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/09.send_receive.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/10.more.messages.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/11.review.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/12.PART2.subpatch.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/13.locality.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/14.dollarsigns.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/15.array.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/15.file.txt
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/16.more.arrays.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/17.PART3.midi.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/18.conditional.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/19.random.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/20.weighted-random.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/21.markov.chain.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/22.random-walk.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/23.sequencing.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/24.loops.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/dollarsign.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/dollarsign2.pd
+%%PORTDOCS%%%%DOCSDIR%%/2.control.examples/sendnumber.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A00.intro.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A00.intro.txt
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A01.sinewave.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A02.amplitude.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A03.line.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A04.line2.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A05.output.subpatch.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A06.frequency.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A07.fusion.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A08.beating.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A09.frequency.mod.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/A10.review.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B01.wavetables.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B02.two-wavetables.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B03.tabread4.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B04.tabread4.interpolation.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B05.tabread.FM.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B06.table.switching.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B07.sampler.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B08.sampler.loop.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B09.sampler.loop.smooth.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B10.sampler.scratch.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B11.sampler.nodoppler.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B12.sampler.transpose.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B13.sampler.overlap.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B14.sampler.rockafella.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B15.tabread4~-onset.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/B16.long-varispeed.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C01.nyquist.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C02.sawtooth-foldover.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C03.zipper.noise.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C04.control.to.signal.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C05.sampler.oneshot.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C06.signal.to.control.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C07.envelope.follower.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C08.analog.sequencer.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C09.sample.hold.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/C10.monophonic.synth.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D01.envelope.gen.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D02.adsr.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D03.envelope.dB.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D04.envelope.quartic.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D05.envelope.pitch.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D06.envelope.portamento.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D07.additive.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D08.table.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D09.shepard.tone.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D10.sampler.notes.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D11.sampler.poly.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D12.sampler.bis.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D13.additive.qlist.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/D14.vibrato.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E01.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E02.ring.modulation.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E03.octave.divider.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E04.difference.tone.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E05.chebychev.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E06.exponential.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E07.evenodd.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E08.phase.mod.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E09.FM.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/E10.complex.FM.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F01.pulse.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F02.just.say.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F03.pulse.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F04.waveshaping.pulse.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F05.ring.modulation.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F06.packets.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F07.packet.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F08.two.cosines.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F09.declickit.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F10.sweepable.FM.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F11.anharmonic.FM.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F12.paf.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F13.paf.control.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/F14.wave.packet.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G01.delay.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G02.delay.loop.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G03.delay.variable.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G04.control.blocksize.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G05.execution.order.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G06.octave.doubler.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G07.shaker.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G08.reverb.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/G09.pitchshift.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H01.low-pass.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H02.high-pass.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H03.band-pass.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H04.filter.sweep.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H05.filter.floyd.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H06.envelope.follower.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H07.measure.spectrum.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H08.heterodyning.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H09.ssb.modulation.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H10.measurement.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H11.shelving.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H12.peaking.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H13.butterworth.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H14.all.pass.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H15.phaser.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/H16.adsr.filter.qlist.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I01.Fourier.analysis.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I02.Hann.window.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I03.resynthesis.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I04.noisegate.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I05.compressor.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I06.timbre.stamp.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I07.phase.vocoder.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I08.pvoc.reverb.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I09.sheep.from.goats.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/I10.phase.bash.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J01.even.odd.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J02.trapezoids.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J03.pulse.width.mod.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J04.corners.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J05.triangle.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J06.enveloping.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J07.oversampling.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J08.classicsynth.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/J09.bandlimited.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/adsr.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/buttercoef3.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/butterworth3~.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/filter-graph1.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/filter-graph2.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/osc-voice.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/output~.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/partial.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/qlist-sampler.txt
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/qlist.txt
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/qlist2.txt
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/reverb-echo.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/sampvoice.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/sampvoice2.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/shepvoice.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/sinevoice.pd
+%%PORTDOCS%%%%DOCSDIR%%/3.audio.examples/spectrum-partial.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/00.intro.txt
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/01.scalars.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/02.getting.data.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/03.setting.data.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/04.append.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/05.array.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/06.file.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/07.sequencer.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/08.selection.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/09.scaling.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/10.onoff.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/11.array.controls.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/12.beat-patterns.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/13.sliderule.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/14.partialtracer.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/add-trace.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/beat-maker.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/data-array.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/data-start.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/file.txt
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/osc-voice.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/output~.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/voice.pd
+%%PORTDOCS%%%%DOCSDIR%%/4.data.structures/z.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/0_all_guis-INTRO.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/abs~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/acoustics-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/acoustics~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/adc~_dac~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/append-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/array-object-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/array-object-help.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/bag-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/bang-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/bang~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/biquad~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/block~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/bng-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/bp~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/canvas-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/change-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/clip~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/cos~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/cpole~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/cputime-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/czero_rev~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/czero~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/declare-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/delay-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/delread~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/delwrite~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/drawnumber-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/drawpolygon-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/element-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/env~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/exp~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/fft~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/float-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/framp~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/gatom-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/get-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/getsize-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/graph-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hdial-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/help-intro.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hip~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hradio-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hslider-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/int-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/key-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/line-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/line~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/list-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/log~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/lop~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/makefilename-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/makenote-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/math-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/message-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/metro.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/midi-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/moses-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/my_canvas-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/namecanvas-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/netreceive-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/netsend-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/noise~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/numbox2-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/openpanel-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/operators-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/osc~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/otherbinops-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/pack-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/pd-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/phasor~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/pipe-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/plot-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/pointer-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/poly-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/pow~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/print-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/print~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/qlist-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/qlist.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/random-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/readsf~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/realtime-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/receive-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/route-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/rpole~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/rsqrt~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/rzero_rev~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/rzero~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/samphold~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/savepanel-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/scalar-object-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/select-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/send-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/send~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/set-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/setsize-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/setsize.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/sigbinops-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/sig~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/snapshot~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/soundfiler-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/spigot-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/sqrt~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/stripnote-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/struct-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/swap-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/switch~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/symbol-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/table.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabosc4~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabplay~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread4-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread4~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabread~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabreceive~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabsend~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabwrite-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/tabwrite~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/text-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/text-object-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/text-object-help.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/textfile-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/textfile.txt
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/threshold~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/throw~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/timer-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/toggle-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/trigger-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/unpack-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/until-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/value-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vcf~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vdial-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vd~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vline~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vradio-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vslider-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vu-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/wrap~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/writesf~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/x_all_guis.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/0.README.txt
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/dspobj~.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/makefile
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/obj1.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/obj2.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/obj3.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/obj4.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/obj5.c
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-dspobj~.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-obj1.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-obj2.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-obj3.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-obj4.pd
+%%PORTDOCS%%%%DOCSDIR%%/6.externs/test-obj5.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/1.ring-mod.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/2.bandpass.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/3.phase.vocoder.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/4.looper.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/5.reverb.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/6.vocoder.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/soundfile-tools/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/1.poly.synth.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/gadsr.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/numset.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/preset.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/preset1.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/preset2.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/preset3.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/preset4.txt
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/synthvoice.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/synth/test-gadsr.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/latency.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/load-meter.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone.pd
+%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone16.pd
+%%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
+%%PORTDOCS%%%%DOCSDIR%%/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/sound/bell.aiff
+%%PORTDOCS%%%%DOCSDIR%%/sound/voice.wav
+%%PORTDOCS%%%%DOCSDIR%%/sound/voice2.wav
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/sound
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/7.stuff/tools
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/7.stuff/synth
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/7.stuff/soundfile-tools
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/7.stuff
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/6.externs
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/5.reference
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/4.data.structures
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/3.audio.examples
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/2.control.examples
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/1.manual
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/pd/tcl
 @dirrm lib/pd/po
 @dirrm lib/pd/extra/stdout
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-10-28 16:06:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!